import pygame as pg
from random import choice

pg.mixer.init()
coin_sound = pg.mixer.Sound('assets/sounds/coins.wav')
bullet_sound = pg.mixer.Sound('assets/sounds/bullet.mp3')
zombie_groan_1 = pg.mixer.Sound('assets/sounds/zombie_groan_1.mp3')
zombie_groan_2 = pg.mixer.Sound('assets/sounds/zombie_groan_2.mp3')
round_win = pg.mixer.Sound('assets/sounds/round_win.mp3')
turret_placement = pg.mixer.Sound('assets/sounds/turret_placement.mp3')


# Set the volume of the sounds
coin_sound.set_volume(0.6)
bullet_sound.set_volume(0.2)
zombie_groan_1.set_volume(0.2)
zombie_groan_2.set_volume(0.2)
round_win.set_volume(0.6)
turret_placement.set_volume(0.6)

def play_zombie_groan():
    """Plays a random zombie groan sound."""
    choice([zombie_groan_1, zombie_groan_2]).play()
